Add "How to cite this article" link
Closed, ResolvedPublic

Description

Author: robert.merkel

Description:
On the Wikipedia reference desk, we get a lot of questions on how to cite this
or that Wikipedia article. My initial thought was to add a link to "citing
Wikipedia" on one of the toolbars, but then I thought of a better idea:

Why not have a link which brings up a special, machine-generated page describing
exactly how to cite the particular article concerned in some of the major styles

  • I'd suggest initially the three listed on the "citing Wikipedia" page, as well

as an entry in bibtex format.

The page would have some of the general background on the existing "citing
Wikipedia" page, and then the actual text which could be cut and pasted into a
bibliography in the styles I suggest.

The only problem, perhaps, is the requirement for the cut and paste to support
italics. I don't know how widely this is supported on the various platforms.

I can't imagine that this would be terribly difficult to do and might
significantly cut down on the reference desk traffic.


Version: unspecified
Severity: enhancement
URL: http://en.wikipedia.org/wiki/MediaWiki:Cite_text

bzimport added a project: Cite.Via ConduitNov 21 2014, 7:03 PM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz800.
bzimport created this task.Via LegacyOct 29 2004, 6:13 AM
bzimport added a comment.Via ConduitOct 29 2004, 2:19 PM

rowan.collins wrote:

Formatted copy and paste from browsers shouldn't generally be a problem, and
besides isn't *our* problem. And if the users pastes and finds formatting
missing, they can just format it themselves: we haven't got to write their whole
references section for them, just give them the information they need to put in it.

I actually think this wouldn't be too hard to code: it would just need a Special
page that pulled appropriate values from the DB, and substituted them into
special Template-vars in a MediaWiki page (yes, I know MediaWiki pages don't
normally have named vars, but there's no reason not to) - stuff like name, full
URL, access date, revision date. Then, a link in the toolbox for every article
could call this Special page with the name of an article, and Ba-boom!
insta-citations.

bzimport added a comment.Via ConduitOct 30 2004, 1:03 AM

artslave wrote:

(In reply to comment #0)
I mentioned this idea on the Village Pump (http://en.wikipedia.org/wiki/Wikipedia:Village_pump_%
28proposals%29#.22Citing_Wikipedia.22_link.2C_or_Citation_Box.2C_on_every_page), with some not-very-
elegant examples; it's gotten some approving discussion there.

A few thoughts:
Provide all the "puzzle pieces" at the top, labelled appropriately (i.e., "Author: n/a", "Last
revision date: DD MMMM YYYY", "Access date: DD MMMM YYYY", etc.) -- that way anyone could copy and
arrange the pieces of the puzzle the way their teacher/editor requires. (Would reduce continuing
VP/Help/RefDesk queries from those not familiar with citation styles, too -- "but who is the
AUTHOR? but where is it published? and why are there two different dates in the citiation?)

Incorporate a way for users or admins to add additional citation formats in the future?

Incorporate version numbers into this, when available?

Pick a format to include on the article's print css, so that articles printed directly from
Wikipedia have appropriate automatic citation?

Make date formatting responsive to user preferences, or allow a choice to reload the page with a
different format?

bzimport added a comment.Via ConduitOct 30 2004, 1:05 PM

rowan.collins wrote:

(In reply to comment #2)

A few thoughts:
Provide all the "puzzle pieces" at the top, labelled appropriately (i.e.,

"Author: n/a", "Last

revision date: DD MMMM YYYY", "Access date: DD MMMM YYYY", etc.)

Yes, good idea; and easily done: just have the various variables labelled and
listed above the individual citation styles. e.g.:

  • Article name: {{{name}}}
  • Date accessed: {{{currentdate}}}
  • Date article was last modified: {{{modificationdate}}}

etc.

Incorporate a way for users or admins to add additional citation formats in

the future?

As I suggested, a MediaWiki: page would be ideal for this, allowing tweaking,
updating, translating, expanding, or just generally customising the results.

Incorporate version numbers into this, when available?

Yes (see bug 181 for progress on this); specifically, the citation could include
a URL to the particular version, as suggested in bug 268.

Pick a format to include on the article's print css, so that articles printed

directly from

Wikipedia have appropriate automatic citation?

The problem is, which citation format would we include there? Perhaps the best
candidate would be a compact listing of all the variables (in such a way that it
was clear what each meant, sacrificing compatibility with any real citation in
favour of brevity and clarity). Of course, this would require adding the
information to the end of the article text, rather than just having a Special:
page, but it might be possible to get all the necessary information without any
database calls that aren't required anyway, I'm not sure. (If it's not, this may
not be worth putting extra load on the DB for)

Make date formatting responsive to user preferences, or allow a choice to

reload the page with a

different format?

Out of interest, do citation styles normally specify a date format, or is that
generally a seperate decision? Either way, I'm inclined to suggest that this is
a low priority, since if people aren't prepared to edit their own citation
sections to make them consistent, that's their problem not ours.

bzimport added a comment.Via ConduitOct 30 2004, 9:07 PM

artslave wrote:

The problem is, which citation format would we include there? Perhaps the best
candidate would be a compact listing of all the variables (in such a way that it
was clear what each meant, sacrificing compatibility with any real citation in
favour of brevity and clarity). Of course, this would require adding the
information to the end of the article text, rather than just having a Special:
page, but it might be possible to get all the necessary information without any
database calls that aren't required anyway, I'm not sure. (If it's not, this may
not be worth putting extra load on the DB for)

Well put, and I agree.

There is already a print-only footer box of sorts (visible in Print Preview as well), which
says "this page was last modified on X date" and "text available GFDL blah blah..." I am guessing
this is a div which is hidden except during printing; if so it would seem to be generated when the
page is loaded. I agree this ''isn't'' worth extra strain on the system, but if it's not taxing the
DB to add more variables to this box, I'd definitely consider it worthwhile.

> Make date formatting responsive to user preferences, or allow a
> choice to reload the page with a different format?
Out of interest, do citation styles normally specify a date format, or is that
generally a separate decision? Either way, I'm inclined to suggest that this is
a low priority, since if people aren't prepared to edit their own citation
sections to make them consistent, that's their problem not ours.

On second thought, I agree -- this is not our problem. The users have the info they need, in a much
more user-friendly format than most sites would provide, and requiring them to rearrange a date or
add some italics is not the end of the world -- certainly not worth jumping through programming
hoops. If the code to parse date preferences already exists and is trivial to use here, maybe, but a
very minimal priority compared to making this available soon.

bzimport added a comment.Via ConduitOct 31 2004, 7:46 PM

artslave wrote:

Britannica's "cite this article" section (from http://www.britannica.com/eb/article?
tocId=9038951#cite )

To cite this page:

MLA style:
"Halloween." Encyclopædia Britannica. 2004. Encyclopædia Britannica Premium Service.
19 Oct. 2004 http://www.britannica.com/eb/article?tocId=9038951.

APA style:
Halloween Encyclopædia Britannica. Retrieved October 19, 2004, from Encyclopædia Britannica Premium
Service.
http://www.britannica.com/eb/article?tocId=9038951

Britannica style:
"Halloween" Encyclopædia Britannica from Encyclopædia Britannica Premium Service.
http://www.britannica.com/eb/article?tocId=9038951
[Accessed October 19, 2004].


Encarta says:
How to cite this article:
"Halloween," Microsoft® Encarta® Online Encyclopedia 2004
http://encarta.msn.com © 1997-2004 Microsoft Corporation. All Rights Reserved.


Encyclopedia.com just has a footer with:
Columbia Encyclopedia, Sixth Edition, Copyright (c) 2004.


WorldBookOnline.com:

How to cite this article:
To cite this article, World Book recommends the following format: Bannatyne, Lesley P. "Halloween."
World Book Online Reference Center. 2004. World Book, Inc. 31 Oct. 2004.
http://www.worldbookonline.com/wb/Article?id=ar243460.

More at http://www.worldbookonline.com/wb/Help?id=main#citationexamples

bzimport added a comment.Via ConduitMar 24 2005, 6:39 PM

artslave wrote:

(In reply to comment #2)

(In reply to comment #0)
> Incorporate version numbers into this, when available?

See bug 1739.

bzimport added a comment.Via ConduitApr 27 2005, 5:48 PM

jfader wrote:

Ideally this could be implemented in mediawiki using existing templates in the
mediawiki namespace. To facilitate this, two changes are necessary:

  1. additional variables giving date & time info for a given revision
  2. some means of presenting the citation info on pages

These are detailed below:

1. ADDITIONAL VARIABLES

A number of variables analogous to {{REVISIONID}} are needed, all pertaining to
a specific revision. They are available for the current state of the article,
and for any revision when viewed via the history mechanism.

{{REVISIONMONTH}}
{{REVISIONMONTHNAME}}
{{REVISIONMONTHNAMEGEN}}
{{REVISIONDAY}}
{{REVISIONDAYNAME}}
{{REVISIONYEAR}}
{{REVISIONTIME}}

So, for example, the wiki code to expand to produce an MLA style citation of a
given wikipedia page would be:

"{{PAGENAME}}" Wikipedia: The Free Encyclopedia {{REVISIONDAY}}
{{REVISIONMONTHNAME}} {{REVISIONYEAR}} {{REVISIONTIME}} {{CURRENTMONTHNAME}}
{{CURRENTDAY}} {{CURRENTYEAR}} {{CURRENTTIME}}
<{{SERVER}}{{localurl:{{NAMESPACE}}:{{PAGENAMEE}}}}&oldid={{REVISIONID}}>

Producing:

"Plagiarism." Wikipedia: The Free Encyclopedia. 22 Jul 2004, 10:55 UTC. 10 Aug
2004 http://en.wikipedia.org/wiki/Plagiarism&oldid=433243.

2. SHOWING CITATIONS ON PAGES

2.1 Showing citations on current pages

Ideally use a new template at the page bottom, [[mediawiki:citation]]. As a
stopgap, this info could be shoehorned into [[MediaWiki:Lastmodified]]

2.2 Showing citations on history (&oldid=xxx) pages

Ideally use a new template at the page bottom, [[mediawiki:citation]]. As a
stopgap, this info could be shoehorned into [[MediaWiki:Revisionasof]]

How to show citations

With everything described above, citations could be shown using one of the
following mechanisms (not all, whichever is easiest to implement):

Inline

Shown inline (as britannica does), probably in a very small font. This isn't
ideal (for page layout reasons).

Clickable links

It would be better for [[MediaWiki:citation]] to show a list of citation options:

[MLA] | [APA] | [MHRA] | [Chicago] | [CBE/CSE] | [BibTeX]

I don't know the best way to implement this. Perhaps options are:

Parameterised pages
  1. implement parameter passing to pages, so [[MediaWiki:citation]] might read;

[[wikipedia:APA_citation&{{PAGENAME}}&{{REVISIONDAY}}&{{REVISIONMONTHNAME}}&{{REVISIONYEAR}}&{{REVISIONTIME}}&{{CURRENTMONTHNAME}}&{{CURRENTDAY}}&{{CURRENTYEAR}}&{{CURRENTTIME}}&{{NAMESPACE}&{{PAGENAMEE}}&{{REVISIONID}}|MLA]]
...

and [[wikipedia:APA_citation]] would read:

"{{1}}" Wikipedia: The Free Encyclopedia {{2}} {{3E}} {{4}} {{5}} {{6}} {{7}}
{{8}} {{9}} <{{SERVER}}{{localurl:{{10}}:{{11}}}}&oldid={{12}}>

Javascript

If parameterised pages is too extreme, perhaps the links in
[[MediaWiki:citation]] can be javascript links that put the citation info (again
picked up from [[[wikipedia:APA_citation]] et al) into the system paste buffer.

bzimport added a comment.Via ConduitApr 27 2005, 6:44 PM

rowan.collins wrote:

(In reply to comment #7)

=====Parameterised pages=====

  1. implement parameter passing to pages, so [[MediaWiki:citation]] might read;

We already have parameterised pages, in the form of "Special" pages, which
generate their content at display time. In fact, a Special:Citations page would
remove the need for all these extra MagicWords, because being a PHP script it
can pull whatever info it needs from the database. The way I envisage it working
is as follows:

  • one or more links on every page (e.g. at the bottom, in the "toolbox", etc)

would link to [[Special:Citation/{{PAGENAME}}]] (or equivalently
...?title=Special:Citation&target={{PAGENAME}})

  • a MediaWiki message, something like [[MediaWiki:Citations]], would contain the

"outline" of whatever citation styles seem desirable, with the actual
information in template-variables ({{{revisionmonth}}}, {{{revisionday}}}, etc)

  • Special:Citation would pull metadata about the current revision of the article

in its "target" parameter, and replace the template-variables in the MediaWiki
message with that actual data

Additionally:

  • links on old revisions of articles would be to

...?title=Special:Citation&target={{PAGENAME}}&revision={{REVISIONID}}

  • when requested in this form, Special:Citation would pull the data for that

revision instead of the current one

If there's exactly one MediaWiki message, people can add whatever instructions,
extra notes, links to copyright, etc as well as any number of citation styles
and variations. It really would be nice if we could give the user a "lasting
link" in with the citation though, so I'm marking bug 268 as a dependency of
getting this done "properly".

bzimport added a comment.Via ConduitNov 27 2005, 12:45 AM

avarab wrote:

I wrote a special page extension that adds a link to the sidebar on every page
showing information on how to cite it, it's not live though due to some issues
with tidy.

marking this as FIXED in CVS HEAD.

bzimport added a comment.Via ConduitNov 27 2005, 3:12 AM

avarab wrote:

(In reply to comment #9)

I wrote a special page extension that adds a link to the sidebar on every page
showing information on how to cite it, it's not live though due to some issues
with tidy.

marking this as FIXED in CVS HEAD.

Disabled tidy on that page as a hack around the problem and deployed it on
enwiki, will probably be deployed on the others later.

bzimport added a comment.Via ConduitNov 27 2005, 5:49 AM

artslave wrote:

Thank you, thank you!! This looks fantastic!

Wikinaut added a comment.Via ConduitNov 27 2005, 6:49 AM

Great job ! Very useful.

bzimport added a comment.Via ConduitNov 27 2005, 11:42 AM

datrio wrote:

Would it be possible to turn this on at the Polish Wikipedia? We could really use this - lately many people are asking us can they cite us and how to do it (stupid questions, but... well, this extension should help them
).

bzimport added a comment.Via ConduitNov 27 2005, 11:27 PM

plasmeier180 wrote:

It is broken again. The page can't find Template:REVISIONID and displays it as
a red link

bzimport added a comment.Via ConduitNov 27 2005, 11:29 PM

avarab wrote:

(In reply to comment #13)

Would it be possible to turn this on at the Polish Wikipedia?

It has been turned on at all the wikipedia wikis now.

bzimport added a comment.Via ConduitNov 27 2005, 11:30 PM

avarab wrote:

(In reply to comment #14)

It is broken again. The page can't find Template:REVISIONID and displays it as
a red link

Do you have an URL that shows this problem? The REVISIONID issue was fixed
earlier today so this shouldn't be a problem anymore.

bzimport added a comment.Via ConduitNov 27 2005, 11:34 PM

plasmeier180 wrote:

It is working again now. That was strange.... Possibly a cache problem.
Also, at the bottom of the page in the footer, it says "About {{Sitename}}" and
links to Wikipedia:About. Someone needs to fix the text of the link sometime.
It is low priority problem.

Also, this new system looks great :) Thank you.

Wikinaut added a comment.Via ConduitNov 28 2005, 12:43 AM

Please allow me to add this further suggest in order to render the citation
_complete_:

  • to add the _copyright_information_ for/of Wikipedia articles _on_ the

Special:Cite page.

In other words to avoid misunderstandings:

  • I suggest to _include_(copy) the bolded lines of page

http://en.wikipedia.org/wiki/Wikipedia:Copyrights

"Permission is granted to copy, distribute and/or modify this document under the
terms of the GNU Free Documentation License, Version 1.2 or any later version
published by the Free Software Foundation; with no Invariant Sections, with no
Front-Cover Texts, and with no Back-Cover Texts.
A copy of the license is included in the section entitled "GNU Free
Documentation License" <link to GFDL>.
Content on Wikipedia is covered by disclaimers."

bzimport added a comment.Via ConduitNov 28 2005, 10:39 AM

avarab wrote:

(In reply to comment #18)
Copyright is totally irrelivant to citations, citations have to do with saying
where you got your facts from, and facts are uncopyrightable. Furthermore, even
if you had a point you could just edit the appropriate pages on the wiki to add
that link and/or text which makes this the wrong forum for your suggestion.

bzimport added a comment.Via ConduitNov 28 2005, 12:17 PM

karncc wrote:

"http://th.wikipedia.org/wiki/Special:Cite" can't use in Thai Wikipedia.

bzimport added a comment.Via ConduitNov 29 2005, 11:07 PM

plasmeier180 wrote:

(In reply to comment #19)

(In reply to comment #18)
Copyright is totally irrelivant to citations, citations have to do with saying
where you got your facts from, and facts are uncopyrightable. Furthermore, even
if you had a point you could just edit the appropriate pages on the wiki to add
that link and/or text which makes this the wrong forum for your suggestion.

I don't think regular users can edit pages in the special name space. There is
no edit this page link on special pages.
Also, I don't think a reference to copyrights can hurt. You could possibly
include this in the text, but I would definitely include it in the footer like
every other wikipedia page.

bzimport added a comment.Via ConduitNov 30 2005, 12:11 AM

rowan.collins wrote:

(In reply to comment #21)

I don't think regular users can edit pages in the special name space. There is
no edit this page link on special pages.

Nobody can edit Special pages, full stop - they're PHP code; no wikiness
involved. Presumably the text on the Special:Cite page is editable through the
MediaWiki namespace (see [[Special:Allmessages]]) like the rest of the UI
(though this is indeed admin only).

bzimport added a comment.Via ConduitNov 30 2005, 1:01 AM

plasmeier180 wrote:

Yes it is I found. See [[MediaWiki:Cite_text]] You were correct, it is admin only.

bzimport added a comment.Via ConduitDec 6 2005, 8:40 AM

avarab wrote:

(In reply to comment #20)

"http://th.wikipedia.org/wiki/Special:Cite" can't use in Thai Wikipedia.

Works for me.

bzimport added a comment.Via ConduitDec 22 2006, 4:25 PM

ayg wrote:

*** Bug 8356 has been marked as a duplicate of this bug. ***

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.